capture log close
log using sens_calibrated.log,replace text


*	REPLICATES SENSITIVITY ANALYSIS (CALIBRATED CONFOUNDERS) CONTAINED IN:
*     ICHINO, A., F. MEALLI, AND T. NANNICINI
*	FROM TEMPORARY HELP JOBS TO PERMANENT EMPLOYMENT: WHAT CAN WE LEARN FROM MATCHING ESTIMATORS AND THEIR SENSITIVITY?
*	JOURNAL OF APPLIED ECONOMETRICS, FORTHCOMING

*	USES DATA FILE: TEMPWORK.DTA

*	USES SENSATT.ADO TO PERFORM SENSITIVITY


di "log file printed on $S_DATE at $S_TIME"
set more off
program drop _all
macro drop _all
# delimit;
clear;
set mem 750m;
set matsize 11000;
set maxvar 30000;
tempfile tmp1 tmp2 tmp3;

use tempwork, clear;



****** TABLE 3, TUSCANY;

gen tdist= dist>20 if tosc==1;
gen sdist= dist>32 if tosc==0;
gen dist2=dist^2;
gen self1li=self1*li;

sensatt out1 treat 
gr li pi lu male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist dist2 
self1li if tosc==1, comsup alg(attnd) r(1000) p(male);

sensatt out1 treat gr li pi lu male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist dist2 
self1li if tosc==1, comsup alg(attnd) r(1000) p(single);

sensatt out1 treat gr li pi lu male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist dist2 
self1li if tosc==1, comsup alg(attnd) r(1000) p(lic);

sensatt out1 treat gr li pi lu male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist dist2 
self1li if tosc==1, comsup alg(attnd) r(1000) p(uni);

sensatt out1 treat gr li pi lu male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist dist2 
self1li if tosc==1, comsup alg(attnd) r(1000) p(emp1);

sensatt out1 treat gr li pi lu male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist dist2 
self1li if tosc==1, comsup alg(attnd) r(1000) p(perm1);

sensatt out1 treat gr li pi lu male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist dist2 
self1li if tosc==1, comsup alg(attnd) r(1000) p(manuf1);

sensatt out1 treat gr li pi lu male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist dist2 
self1li if tosc==1, comsup alg(attnd) r(1000) p(fedu);

sensatt out1 treat gr li pi lu male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist dist2 
self1li if tosc==1, comsup alg(attnd) r(1000) p(tdist);



****** TABLE 5, SICILY;

sensatt out1 treat ct tp pa male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist if tosc==0, comsup alg(attnd) r(1000) p(male);

sensatt out1 treat ct tp pa male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist if tosc==0, comsup alg(attnd) r(1000) p(single);

sensatt out1 treat ct tp pa male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist if tosc==0, comsup alg(attnd) r(1000) p(lic);

sensatt out1 treat ct tp pa male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist if tosc==0, comsup alg(attnd) r(1000) p(uni);

sensatt out1 treat ct tp pa male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist if tosc==0, comsup alg(attnd) r(1000) p(emp1);

sensatt out1 treat ct tp pa male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist if tosc==0, comsup alg(attnd) r(1000) p(perm1);

sensatt out1 treat ct tp pa male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist if tosc==0, comsup alg(attnd) r(1000) p(manuf1);

sensatt out1 treat ct tp pa male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist if tosc==0, comsup alg(attnd) r(1000) p(fedu);

sensatt out1 treat ct tp pa male single age2 dloc01 dloc02 child ysch pvoto train1 nyu1 emp1 
unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 fysch femp fblu dist if tosc==0, comsup alg(attnd) r(1000) p(sdist);



log close;

