capture log close
log using sens_killer.log,replace text


*	REPLICATES SENSITIVITY ANALYSIS (KILLER CONFOUNDERS) CONTAINED IN:
*     ICHINO, A., F. MEALLI, AND T. NANNICINI
*	FROM TEMPORARY HELP JOBS TO PERMANENT EMPLOYMENT: WHAT CAN WE LEARN FROM MATCHING ESTIMATORS AND THEIR SENSITIVITY?
*	JOURNAL OF APPLIED ECONOMETRICS, FORTHCOMING

*	USES DATA FILE: TEMPWORK.DTA

*	USES SENSATT.ADO TO PERFORM SENSITIVITY


di "log file printed on $S_DATE at $S_TIME"
set more off
program drop _all
macro drop _all
# delimit;
clear;
set mem 750m;
set matsize 11000;
set maxvar 30000;
tempfile tmp1 tmp2 tmp3;

use tempwork, clear;



****** TABLE 4, TUSCANY [P(U)=0.4 - p11-p10=0];

gen dist2=dist^2;
gen self1li=self1*li;

* d=0.1 [s from 0.1 to 0.7];

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.47) p10(0.47) p01(0.45) p00(0.35);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.54) p10(0.54) p01(0.42) p00(0.32);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.61) p10(0.61) p01(0.39) p00(0.29);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.68) p10(0.68) p01(0.36) p00(0.26);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.74) p10(0.74) p01(0.33) p00(0.23);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.81) p10(0.81) p01(0.30) p00(0.20);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.88) p10(0.88) p01(0.27) p00(0.17);

* d=0.2 [s from 0.1 to 0.7];

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.47) p10(0.47) p01(0.54) p00(0.34);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.54) p10(0.54) p01(0.50) p00(0.30);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.61) p10(0.61) p01(0.47) p00(0.27);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.68) p10(0.68) p01(0.44) p00(0.24);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.74) p10(0.74) p01(0.41) p00(0.21);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.81) p10(0.81) p01(0.38) p00(0.18);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.88) p10(0.88) p01(0.35) p00(0.15);

* d=0.3 [s from 0.1 to 0.7];

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.47) p10(0.47) p01(0.62) p00(0.32);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.54) p10(0.54) p01(0.59) p00(0.29);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.61) p10(0.61) p01(0.56) p00(0.26);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.68) p10(0.68) p01(0.53) p00(0.23);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.74) p10(0.74) p01(0.50) p00(0.20);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.81) p10(0.81) p01(0.46) p00(0.16);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.88) p10(0.88) p01(0.43) p00(0.13);

* d=0.4 [s from 0.1 to 0.7];

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.47) p10(0.47) p01(0.70) p00(0.30);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.54) p10(0.54) p01(0.67) p00(0.27);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.61) p10(0.61) p01(0.64) p00(0.24);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.68) p10(0.68) p01(0.61) p00(0.21);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.74) p10(0.74) p01(0.58) p00(0.18);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.81) p10(0.81) p01(0.55) p00(0.15);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.88) p10(0.88) p01(0.52) p00(0.12);

* d=0.5 [s from 0.1 to 0.7];

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.47) p10(0.47) p01(0.79) p00(0.29);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.54) p10(0.54) p01(0.75) p00(0.25);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.61) p10(0.61) p01(0.72) p00(0.22);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.68) p10(0.68) p01(0.69) p00(0.19);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.74) p10(0.74) p01(0.66) p00(0.16);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.81) p10(0.81) p01(0.63) p00(0.13);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.88) p10(0.88) p01(0.60) p00(0.10);

* d=0.6 [s from 0.1 to 0.7];

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.47) p10(0.47) p01(0.87) p00(0.27);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.54) p10(0.54) p01(0.84) p00(0.24);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.61) p10(0.61) p01(0.81) p00(0.21);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.68) p10(0.68) p01(0.78) p00(0.18);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.74) p10(0.74) p01(0.75) p00(0.15);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.81) p10(0.81) p01(0.71) p00(0.11);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.88) p10(0.88) p01(0.68) p00(0.08);

* d=0.7 [s from 0.1 to 0.7];

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.47) p10(0.47) p01(0.95) p00(0.25);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.54) p10(0.54) p01(0.92) p00(0.22);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.61) p10(0.61) p01(0.89) p00(0.19);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.68) p10(0.68) p01(0.86) p00(0.16);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.74) p10(0.74) p01(0.83) p00(0.13);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.81) p10(0.81) p01(0.80) p00(0.10);

sensatt out1 treat 
gr li pi lu 
male single age2 dloc01 dloc02 child 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist dist2 self1li if tosc==1, comsup r(1000) p11(0.88) p10(0.88) p01(0.77) p00(0.07);



****** TABLE 6, SICILY [P(U)=0.4 - p11-p10=0];

* d=0.1 [s from 0.1 to 0.7];

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.38) p10(0.38) p01(0.37) p00(0.27);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.46) p10(0.46) p01(0.35) p00(0.25);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.54) p10(0.54) p01(0.33) p00(0.23);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.62) p10(0.62) p01(0.30) p00(0.20);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.70) p10(0.70) p01(0.28) p00(0.18);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.78) p10(0.78) p01(0.26) p00(0.16);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.86) p10(0.86) p01(0.24) p00(0.14);

* d=0.2 [s from 0.1 to 0.7];

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.38) p10(0.38) p01(0.45) p00(0.25);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.46) p10(0.46) p01(0.43) p00(0.23);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.54) p10(0.54) p01(0.41) p00(0.21);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.62) p10(0.62) p01(0.39) p00(0.19);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.70) p10(0.70) p01(0.37) p00(0.17);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.78) p10(0.78) p01(0.35) p00(0.15);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.86) p10(0.86) p01(0.33) p00(0.13);

* d=0.3 [s from 0.1 to 0.7];

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.38) p10(0.38) p01(0.54) p00(0.24);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.46) p10(0.46) p01(0.52) p00(0.22);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.54) p10(0.54) p01(0.50) p00(0.20);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.62) p10(0.62) p01(0.48) p00(0.18);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.70) p10(0.70) p01(0.46) p00(0.16);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.78) p10(0.78) p01(0.44) p00(0.14);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.86) p10(0.86) p01(0.42) p00(0.12);

* d=0.4 [s from 0.1 to 0.7];

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.38) p10(0.38) p01(0.63) p00(0.23);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.46) p10(0.46) p01(0.61) p00(0.21);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.54) p10(0.54) p01(0.59) p00(0.19);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.62) p10(0.62) p01(0.57) p00(0.17);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.70) p10(0.70) p01(0.55) p00(0.15);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.78) p10(0.78) p01(0.53) p00(0.13);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.86) p10(0.86) p01(0.51) p00(0.11);

* d=0.5 [s from 0.1 to 0.7];

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.38) p10(0.38) p01(0.72) p00(0.22);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.46) p10(0.46) p01(0.70) p00(0.20);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.54) p10(0.54) p01(0.68) p00(0.18);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.62) p10(0.62) p01(0.65) p00(0.15);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.70) p10(0.70) p01(0.63) p00(0.13);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.78) p10(0.78) p01(0.61) p00(0.11);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.86) p10(0.86) p01(0.59) p00(0.09);

* d=0.6 [s from 0.1 to 0.7];

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.38) p10(0.38) p01(0.80) p00(0.20);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.46) p10(0.46) p01(0.78) p00(0.18);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.54) p10(0.54) p01(0.76) p00(0.16);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.62) p10(0.62) p01(0.74) p00(0.14);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.70) p10(0.70) p01(0.72) p00(0.12);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.78) p10(0.78) p01(0.70) p00(0.10);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.86) p10(0.86) p01(0.68) p00(0.08);

* d=0.7 [s from 0.1 to 0.7];

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.38) p10(0.38) p01(0.89) p00(0.19);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.46) p10(0.46) p01(0.87) p00(0.17);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.54) p10(0.54) p01(0.85) p00(0.15);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.62) p10(0.62) p01(0.83) p00(0.13);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.70) p10(0.70) p01(0.81) p00(0.11);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.78) p10(0.78) p01(0.79) p00(0.09);

sensatt out1 treat 
ct tp pa 
male single age2 child dloc01 dloc02 
ysch pvoto train1 
nyu1 emp1 unemp1 perm1 blu1 self1 manuf1 serv1 wage1 hour1 
fysch femp fblu 
dist if tosc==0, comsup r(1000) p11(0.86) p10(0.86) p01(0.77) p00(0.07);



log close;

